package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 审核记录对象 szxc_xy_audit_recard
 *
 * @author hs
 * @date 2024-04-15
 */
public class SzxcXyAuditRecard extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  id */
    private Long id;

    /** 审核记录类型(字典) */
    @Excel(name = "审核记录类型(字典)")
    private String shRecardType;

    /** 对应记录id */
    @Excel(name = "对应记录id")
    private Long jlId;

    /** 审核部门 */
    @Excel(name = "审核部门")
    private String auditDept;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditName;

    /** 审核结果 */
    @Excel(name = "审核结果")
    private String auditResult;

    /** 审核原因 */
    @Excel(name = "审核原因")
    private String auditReason;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setShRecardType(String shRecardType)
    {
        this.shRecardType = shRecardType;
    }

    public String getShRecardType()
    {
        return shRecardType;
    }
    public void setJlId(Long jlId)
    {
        this.jlId = jlId;
    }

    public Long getJlId()
    {
        return jlId;
    }
    public void setAuditDept(String auditDept)
    {
        this.auditDept = auditDept;
    }

    public String getAuditDept()
    {
        return auditDept;
    }
    public void setAuditName(String auditName)
    {
        this.auditName = auditName;
    }

    public String getAuditName()
    {
        return auditName;
    }
    public void setAuditResult(String auditResult)
    {
        this.auditResult = auditResult;
    }

    public String getAuditResult()
    {
        return auditResult;
    }
    public void setAuditReason(String auditReason)
    {
        this.auditReason = auditReason;
    }

    public String getAuditReason()
    {
        return auditReason;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("shRecardType", getShRecardType())
                .append("jlId", getJlId())
                .append("auditDept", getAuditDept())
                .append("auditName", getAuditName())
                .append("auditResult", getAuditResult())
                .append("auditReason", getAuditReason())
                .append("remark", getRemark())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
